#ifndef __MYLIBRARY_H__
#define __MYLIBRARY_H__

// ADC functions
void ADCInitManual(void);
int ADCManualRead(int);

// PWM/ direction functions
void StartPWM(int prescaler, int period);
void CW(void);
void CCW(void);
void STOP(void);
void PWM_Set_DC(int);

// Encoder functions
void InitEncoderSPI(void);
long long GetEncoder(int);

// Control loop functions
void InitCurrentControl(int prescaler, int period);
void TMRInitFixedFreq(int prescaler, int period);
void InitMotionControl(int prescaler, int period);

// Miscellaneous
void SetGlobalDefaults(void);
void UpdateSignal(Signals *s, float desired, float actual);
void ResetSignal(Signals *s, int len);
#endif /* __MYLIBRARY_H__ */
